autofs-5.1.0-beta1 - fix ldap default schema config

From: Ian Kent <ikent@redhat.com>

If there is no schema set in the autofs configuration then the ldap
lookup module assumes it will get a NULL return when it asks for the
default schema.

So don't set the default schema at defaults initialization time.
---
 CHANGELOG      |    1 +
 lib/defaults.c |   25 -------------------------
 2 files changed, 1 insertion(+), 25 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index d788ea0..760a206 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -11,6 +11,7 @@
   - inadvertantly dropped from initial series.
 - fix wildcard key lookup.
 - fix out of order amd timestamp lookup.
+- fix ldap default schema config.
 
 28/03/2014 autofs-5.0.9
 =======================
diff --git a/lib/defaults.c b/lib/defaults.c
index 7043dfc..48e9073 100644
--- a/lib/defaults.c
+++ b/lib/defaults.c
@@ -301,31 +301,6 @@ static int conf_load_autofs_defaults(void)
 	if (ret == CFG_FAIL)
 		goto error;
 
-	ret = conf_update(sec, NAME_MAP_OBJ_CLASS,
-			  DEFAULT_MAP_OBJ_CLASS, CONF_ENV);
-	if (ret == CFG_FAIL)
-		goto error;
-
-	ret = conf_update(sec, NAME_ENTRY_OBJ_CLASS,
-			  DEFAULT_ENTRY_OBJ_CLASS, CONF_ENV);
-	if (ret == CFG_FAIL)
-		goto error;
-
-	ret = conf_update(sec, NAME_MAP_ATTR,
-			  DEFAULT_MAP_ATTR, CONF_ENV);
-	if (ret == CFG_FAIL)
-		goto error;
-
-	ret = conf_update(sec, NAME_ENTRY_ATTR,
-			  DEFAULT_ENTRY_ATTR, CONF_ENV);
-	if (ret == CFG_FAIL)
-		goto error;
-
-	ret = conf_update(sec, NAME_VALUE_ATTR,
-			  DEFAULT_VALUE_ATTR, CONF_ENV);
-	if (ret == CFG_FAIL)
-		goto error;
-
 	ret = conf_update(sec, NAME_APPEND_OPTIONS,
 			  DEFAULT_APPEND_OPTIONS, CONF_ENV);
 	if (ret == CFG_FAIL)
